(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     12980,        281]
NotebookOptionsPosition[     12250,        252]
NotebookOutlinePosition[     12589,        267]
CellTagsIndexPosition[     12546,        264]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "This", " ", "notebook", " ", "should", " ", "do", " ", "several", " ", 
    "relatively", " ", "quick", " ", "runs", " ", 
    RowBox[{"(", 
     RowBox[{"O", 
      RowBox[{"(", "minutes", ")"}]}], ")"}], " ", "and", " ", "then", " ", 
    "plot", " ", "the", " ", "results", " ", 
    RowBox[{"below", ".", " ", "There"}], " ", "should", " ", "be", " ", 
    "two", " ", "plots", " ", "showing", " ", "convergence", " ", "and", " ", 
    "then", " ", "a", " ", "series", " ", "of", " ", "plots", " ", "showing", 
    " ", "behavior", " ", "in", " ", "Lorentzian", " ", 
    RowBox[{"time", ".", " ", "Some"}], " ", "results", " ", "should", " ", 
    "also", " ", "be", " ", "written", " ", "to", " ", "the", " ", "file", 
    " ", 
    RowBox[{"testruns_results", ".", "txt"}], " ", "which", " ", "could", " ",
     "be", " ", "read", " ", "in", " ", "again", " ", "with", " ", 
    RowBox[{"VRead", "."}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Needs", "[", "\"\<Virasoro`\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"results1", "=", 
     RowBox[{"VRun", "[", 
      RowBox[{"30", ",", "1", ",", "3", ",", "0", ",", "200"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"VConvByOrder", "[", 
     RowBox[{"results1", ",", "10"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"VConvByTL", "[", "results1", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"results2", "=", 
     RowBox[{"VRun", "[", "\"\<testruns.txt\>\"", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"VWrite", "[", 
     RowBox[{"results2", ",", "\"\<testruns_results.txt\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"VPlot", "[", 
     RowBox[{"results1", ",", 
      RowBox[{"StartTime", "\[Rule]", "0.1"}], ",", 
      RowBox[{"EndTime", "\[Rule]", "30"}], ",", 
      RowBox[{"Compare", "\[Rule]", "\"\<Semi\>\""}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"VPlot", "[", 
     RowBox[{"results2", ",", 
      RowBox[{"StartTime", "\[Rule]", "0.1"}], ",", 
      RowBox[{"EndTime", "\[Rule]", "30"}], ",", 
      RowBox[{"Compare", "\[Rule]", "\"\<Semi\>\""}]}], "]"}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6877999087405243`*^9, 3.687799912515955*^9}, 
   3.687800119706602*^9, {3.6878001798436213`*^9, 3.6878002811314707`*^9}, {
   3.6878003223271637`*^9, 3.6878003385665007`*^9}, {3.687800389859523*^9, 
   3.6878004312091017`*^9}, {3.6878004985107718`*^9, 3.68780051866407*^9}, {
   3.687802218906489*^9, 3.687802223518508*^9}, {3.687802268090149*^9, 
   3.687802305898651*^9}, {3.6878024175454082`*^9, 3.687802426996358*^9}, {
   3.687802563438757*^9, 3.687802563958859*^9}, {3.687802929185951*^9, 
   3.687803051094037*^9}, {3.687803135190515*^9, 3.687803137924286*^9}, {
   3.6881339932847853`*^9, 3.688134025266481*^9}, {3.688134160210725*^9, 
   3.688134176290552*^9}, {3.688134215489831*^9, 3.688134218204743*^9}, {
   3.68813433460695*^9, 3.688134335397525*^9}, {3.6881356938458843`*^9, 
   3.6881356973694687`*^9}, {3.688326982640161*^9, 3.688326989247954*^9}, {
   3.6883901638614283`*^9, 3.688390167682667*^9}, {3.688390221320629*^9, 
   3.688390238662055*^9}, 3.688483880619409*^9, {3.688484194952634*^9, 
   3.688484226279001*^9}, {3.688484387884726*^9, 3.688484391361113*^9}, {
   3.688484431479931*^9, 3.6884845877943172`*^9}, {3.6884847454957037`*^9, 
   3.68848474621104*^9}, {3.688484778132037*^9, 3.6884847823721647`*^9}, {
   3.6884850777373247`*^9, 3.688485288746922*^9}, {3.688485347251916*^9, 
   3.688485382818602*^9}, {3.6884854651028833`*^9, 3.688485467562593*^9}, {
   3.68848628614275*^9, 3.688486286163403*^9}, {3.688487198146697*^9, 
   3.688487206640396*^9}, {3.688487346738145*^9, 3.6884873530742073`*^9}, {
   3.688487555150887*^9, 3.688487610149932*^9}, {3.6884876443839684`*^9, 
   3.688487663148342*^9}, {3.688487748608531*^9, 3.688487762114024*^9}, {
   3.688494398731593*^9, 3.688494502053985*^9}, {3.688496298496744*^9, 
   3.688496298598201*^9}, {3.68849739880189*^9, 3.688497407073028*^9}, {
   3.688741610134063*^9, 3.688741610194374*^9}, {3.688750320047496*^9, 
   3.6887503576608047`*^9}, {3.6887505968037767`*^9, 3.688750597893025*^9}, {
   3.688750851061283*^9, 3.688750875371467*^9}, {3.688751498747538*^9, 
   3.688751561525976*^9}, {3.6887515993688927`*^9, 3.688751660080962*^9}, {
   3.6887531753292437`*^9, 3.688753188841361*^9}, {3.688753465962167*^9, 
   3.688753466756796*^9}, {3.6887539527749043`*^9, 3.688753955446981*^9}, {
   3.688754338514101*^9, 3.688754340999511*^9}, {3.688754436380645*^9, 
   3.6887544515431023`*^9}, {3.6887563349866743`*^9, 3.688756358326055*^9}, {
   3.688756394803178*^9, 3.688756400738493*^9}, {3.6887565512961063`*^9, 
   3.688756555463047*^9}, {3.688757041789748*^9, 3.688757042132351*^9}, {
   3.688758055140112*^9, 3.688758060007707*^9}, {3.688758245079464*^9, 
   3.688758312422673*^9}, {3.6887583587423773`*^9, 3.688758409625602*^9}, {
   3.6887588983290653`*^9, 3.6887589492028847`*^9}, {3.688758980035982*^9, 
   3.688759097211019*^9}, {3.688759127672172*^9, 3.688759148417259*^9}, {
   3.688759197283009*^9, 3.688759303685133*^9}, {3.688759345701206*^9, 
   3.688759345872764*^9}, {3.6887600070137463`*^9, 3.688760007220212*^9}, {
   3.688760175873742*^9, 3.688760225454265*^9}, {3.689094862679603*^9, 
   3.6890948627177134`*^9}, {3.6894299949270487`*^9, 3.689429995043662*^9}, {
   3.689458735573618*^9, 3.689458744837623*^9}, {3.6894591294532657`*^9, 
   3.6894591312496395`*^9}, {3.6894591648169675`*^9, 3.689459172782205*^9}, {
   3.689607306346656*^9, 3.6896073082868233`*^9}, {3.689608275887211*^9, 
   3.6896082837941008`*^9}, {3.689609496697317*^9, 3.689609631413238*^9}, 
   3.689609750255333*^9, {3.6896097851816483`*^9, 3.6896098054337893`*^9}, {
   3.68960983811961*^9, 3.689609924574458*^9}, {3.689609977053976*^9, 
   3.689610002102138*^9}, {3.689610041120882*^9, 3.689610141529405*^9}, {
   3.68961018120424*^9, 3.689610224070681*^9}, {3.689610434907703*^9, 
   3.689610444703147*^9}, {3.689611634457307*^9, 3.689611635965951*^9}, 
   3.6896116994938374`*^9, {3.689616448209486*^9, 3.689616497794717*^9}, {
   3.689616558079068*^9, 3.689616596326071*^9}, {3.689616641382972*^9, 
   3.689616782916953*^9}, {3.689617026003552*^9, 3.6896170366753263`*^9}, {
   3.689689713830229*^9, 3.68968971478436*^9}, {3.689689751206995*^9, 
   3.689689843459385*^9}, {3.6896899737986*^9, 3.689689976079165*^9}, {
   3.689690884789048*^9, 3.6896908894044123`*^9}, {3.690223342558138*^9, 
   3.690223429030541*^9}, {3.690223460317073*^9, 3.690223487548614*^9}, {
   3.690223817154273*^9, 3.6902238413050117`*^9}, {3.690224143755969*^9, 
   3.690224171164815*^9}, {3.690224898335762*^9, 3.6902248986253223`*^9}, {
   3.690840651938655*^9, 3.690840653176849*^9}, {3.690841683471013*^9, 
   3.690841686721573*^9}, {3.690841746242206*^9, 3.69084176483427*^9}, {
   3.690841816273369*^9, 3.690841816594736*^9}, {3.690841877058412*^9, 
   3.690842012276168*^9}, {3.690842053204754*^9, 3.690842103086096*^9}, {
   3.690842140955134*^9, 3.690842141603718*^9}, {3.6908422635980377`*^9, 
   3.690842268907757*^9}, {3.691545016772698*^9, 3.691545051818967*^9}, {
   3.691945607483048*^9, 3.691945616567219*^9}, {3.691950647239664*^9, 
   3.691950664013858*^9}, {3.691951063936514*^9, 3.6919510742817907`*^9}, {
   3.691957023902611*^9, 3.691957092466833*^9}, {3.6919571457544613`*^9, 
   3.6919571782797823`*^9}, 3.691957210946641*^9, {3.691966278113674*^9, 
   3.691966338538164*^9}, {3.691966375235201*^9, 3.691966376632958*^9}, 
   3.691968165169325*^9, {3.692733146879677*^9, 3.692733160662278*^9}, {
   3.692975440578684*^9, 3.692975722450425*^9}, {3.693077445721973*^9, 
   3.693077530192284*^9}, {3.693077576359507*^9, 3.693077576618074*^9}, {
   3.693683250673884*^9, 3.693683257273056*^9}, {3.693683757090871*^9, 
   3.693683768474557*^9}, {3.693683831312213*^9, 3.693683872502734*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Virasoro`\>\"", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.695060662183806*^9, 3.695060668140965*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"res1", " ", "=", " ", 
   RowBox[{"VRun", "[", 
    RowBox[{
    "1.0001", ",", " ", "0.0625", ",", " ", "0.0625", ",", " ", "0", ",", " ",
      "20"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.695060672442013*^9, 3.695060727348884*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"res1", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
  "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.6950607299459343`*^9, 3.695060736798587*^9}}],

Cell[BoxData["1.\
000099999999999999999999999999999999999999999999999999999999999999999999999999\
999999999999999999999999999999999999999999999999999999999999999999999999999999\
9999999999999999999999999999999999999999999999999999999999999999999999999988`\
500."], "Output",
 CellChangeTimes->{{3.695060733126096*^9, 3.695060745677185*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"res2", "=", 
   RowBox[{"VRun", "[", 
    RowBox[{
    "1.0001", ",", " ", "0.0625", ",", " ", "0.0625", ",", " ", "0", ",", " ",
      "20"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.695060777605109*^9, 3.695060782289014*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"res2", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
  "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.6950610643054028`*^9, 3.695061064972604*^9}, {
  3.6950685182583513`*^9, 3.695068551732099*^9}, {3.695068768546762*^9, 
  3.695068769847007*^9}}],

Cell[BoxData["0.\
000051691064473053488472195880575787198612095731445295781834153490924570875353\
090953780945156527274700198155451235662715348436235420483650047439968928457949\
608133748144023741328139700367936519082349112460911014458549912560700251464798\
147`232.71341547567732"], "Output",
 CellChangeTimes->{
  3.695061065394024*^9, 3.695061125973467*^9, 3.6950649429957647`*^9, 
   3.695065459969171*^9, 3.6950656431160717`*^9, 3.695067458350196*^9, {
   3.695068522258917*^9, 3.695068552462673*^9}, 3.695068738206171*^9, 
   3.695068770559342*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"VRun", "[", "\"\<testruns.txt\>\"", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6950656862218933`*^9, 3.69506569346393*^9}}],

Cell[BoxData[
 TemplateBox[{
  "LinkObject","linkd",
   "\"Unable to communicate with closed link \
\\!\\(\\*RowBox[{\\\"LinkObject\\\", \\\"[\\\", \
RowBox[{\\\"\\\\\\\"'/usr/local/libexec/vwstp'\\\\\\\"\\\", \\\",\\\", \\\"83\
\\\", \\\",\\\", \\\"4\\\"}], \\\"]\\\"}]\\).\"",2,4,3,32605573310859682442,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.695065698016526*^9}],

Cell[BoxData[
 TemplateBox[{
  "LinkObject","linkn",
   "\"Argument \\!\\(\\*RowBox[{\\\"LinkObject\\\", \\\"[\\\", RowBox[{\\\"\\\
\\\\\"'/usr/local/libexec/vwstp'\\\\\\\"\\\", \\\",\\\", \\\"83\\\", \
\\\",\\\", \\\"4\\\"}], \\\"]\\\"}]\\) in \\!\\(\\*RowBox[{\\\"LinkClose\\\", \
\\\"[\\\", RowBox[{\\\"LinkObject\\\", \\\"[\\\", \
RowBox[{\\\"\\\\\\\"'/usr/local/libexec/vwstp'\\\\\\\"\\\", \\\",\\\", \\\"83\
\\\", \\\",\\\", \\\"4\\\"}], \\\"]\\\"}], \\\"]\\\"}]\\) has an invalid \
LinkObject number; the link may be closed.\"",2,4,4,32605573310859682442,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.695065698018156*^9}]
}, Open  ]]
},
WindowSize->{808, 909},
WindowMargins->{{Automatic, 48}, {Automatic, 62}},
FrontEndVersion->"11.0 for Linux x86 (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 8166, 136, 373, "Input"],
Cell[8727, 158, 158, 3, 34, "Input"],
Cell[8888, 163, 280, 7, 34, "Input"],
Cell[CellGroupData[{
Cell[9193, 174, 234, 4, 32, "Input"],
Cell[9430, 180, 340, 5, 165, "Output"]
}, Open  ]],
Cell[9785, 188, 270, 7, 34, "Input"],
Cell[CellGroupData[{
Cell[10080, 199, 334, 6, 32, "Input"],
Cell[10417, 207, 554, 9, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11008, 221, 161, 3, 34, "Input"],
Cell[11172, 226, 401, 9, 23, "Message"],
Cell[11576, 237, 658, 12, 41, "Message"]
}, Open  ]]
}
]
*)

